summaryrefslogtreecommitdiffstats
path: root/initscript/archlinux/avahi-dnsconfd.in
diff options
context:
space:
mode:
Diffstat (limited to 'initscript/archlinux/avahi-dnsconfd.in')
-rwxr-xr-xinitscript/archlinux/avahi-dnsconfd.in74
1 files changed, 74 insertions, 0 deletions
diff --git a/initscript/archlinux/avahi-dnsconfd.in b/initscript/archlinux/avahi-dnsconfd.in
new file mode 100755
index 0000000..5bfbcbf
--- /dev/null
+++ b/initscript/archlinux/avahi-dnsconfd.in
@@ -0,0 +1,74 @@
+#!/bin/bash
+
+# $Id$
+
+# This file is part of avahi.
+#
+# avahi is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# avahi is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with avahi; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+#
+# Authors: <lathiat@bur.st>
+#
+
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DESC="Avahi mDNS/DNS-SD DNS Server Configuration Daemon"
+NAME="avahi-dnsconfd"
+DAEMON="@sbindir@/$NAME"
+
+case "$1" in
+ start)
+ stat_busy "Starting $DESC"
+ $DAEMON -D
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon avahi-daemon
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping $DESC"
+ $DAEMON -k
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon avahi-daemon
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ reload)
+ stat_busy "Reloading services for $DESC"
+ $DAEMON -r
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ endif
+ *)
+ echo "usage: $0 {start|stop|restart|reload}"
+ ;;
+esac
+exit 0